#-------------------------------------------------------------------------------
# Name:        XCSPrueba.py
# Purpose:     Translation of the XCS system to Python
#
# Author:      Jose Antonio Martin H. <jamartin@dia.fi.upm.es>
#
# Created:     14/01/2007
# Copyright:   (c) Jose Antonio Martin H. 2007
# Licence:     <GPL>
#-------------------------------------------------------------------------------
#!/usr/bin/env python



from XCS import *
from MPEnvironment import *
from MazeEnvironment import *
import psyco
psyco.full()

def main():
    #XCSConstants.setSeed(1 + time.clock() % 10000)
    #XCSConstants.setSeed(2.1321654)
    cons.setSeed(2.1321654) # cons and XCSConstants points to the same instance
    e = MazeEnvironment("Maze1.txt",2)
    xcs = XCS(e, "XCSTestResults.txt")
    xcs.setNumberOfTrials(200)
    xcs.setNumberOfExperiments(1)
    xcs.runXCS()


if __name__ == '__main__':
    main()